Login
Newsletter
Werbung

Sicherheit: Pufferüberlauf in libu2f-host
Aktuelle Meldungen Distributionen
Name: Pufferüberlauf in libu2f-host
ID: openSUSE-SU-2019:0199-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 42.3
Datum: Mo, 18. Februar 2019, 16:50
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-20340
Applikationen: libu2f-host

Originalnachricht

   openSUSE Security Update: Security update for libu2f-host
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:0199-1
Rating: low
References: #1124781
Cross-References: CVE-2018-20340
Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for libu2f-host fixes the following issues:

Security issue fixed:

- CVE-2018-20340: Fixed an unchecked buffer, which could allow a buffer
overflow with a custom made malicious USB device (bsc#1124781).


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2019-199=1



Package List:

- openSUSE Leap 42.3 (x86_64):

libu2f-host-debugsource-1.0.0-5.3.1
libu2f-host-devel-1.0.0-5.3.1
libu2f-host-doc-1.0.0-5.3.1
libu2f-host0-1.0.0-5.3.1
libu2f-host0-debuginfo-1.0.0-5.3.1
u2f-host-1.0.0-5.3.1
u2f-host-debuginfo-1.0.0-5.3.1


References:

https://www.suse.com/security/cve/CVE-2018-20340.html
https://bugzilla.suse.com/1124781

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung